# onUnhandledCommand

Field in [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md)

## Summary

A [UnityEventString](/api/csharp/yarn.unity/yarn.unity.unityeventstring.md) that is called when a [Command](/api/csharp/yarn/yarn.command.md) is received and no command handler was able to handle it.

```csharp
public UnityEventString? onUnhandledCommand;
```

## Remarks

Use this method to dispatch a command to other parts of your game. This method is only called if the [Command](/api/csharp/yarn/yarn.command.md) has not been handled by a command handler that has been added to the [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md), or by a method on a `UnityEngine.MonoBehaviour` in the scene with the attribute [YarnCommandAttribute](/api/csharp/yarn.unity/yarn.unity.yarncommandattribute.md).

{% hint style="info" %}
When a command is delivered in this way, the [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) will not pause execution. If you want a command to make the DialogueRunner pause execution, see [AddCommandHandler(string,Delegate)](/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.addcommandhandler-1.md).
{% endhint %}

This method receives the full text of the command, as it appears between the `<<` and `>>` markers.

## See Also

* [DialogueRunner.AddCommandHandler(string,Delegate)](/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.addcommandhandler-1.md): Adds a command handler. Dialogue will pause execution after the command is called.
* [YarnCommandAttribute](/api/csharp/yarn.unity/yarn.unity.yarncommandattribute.md): An attribute that marks a method on an object as a command.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.onunhandledcommand.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
